OpenTTD Source: TileDesc Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
TileDesc Struct Reference

Tile description for the 'land area information' tool. More...

`#include <tile_cmd.h>`

## Data Fields
StringID | str {}
| Description of the tile.
uint64_t | dparam = 0
| Parameter of the str string.
std::array< Owner, 4 > | owner {}
| Name of the owner(s)
std::array< StringID, 4 > | owner_type {}
| Type of each owner.
TimerGameCalendar::Date | build_date = CalendarTime::INVALID_DATE
| Date of construction of tile contents.
StringID | station_class {}
| Class of station.
StringID | station_name {}
| Type of station within the class.
StringID | airport_class {}
| Name of the airport class.
StringID | airport_name {}
| Name of the airport.
StringID | airport_tile_name {}
| Name of the airport tile.
std::optional< std::string > | grf = std::nullopt
| newGRF used for the tile contents
StringID | railtype {}
| Type of rail on the tile.
uint16_t | rail_speed = 0
| Speed limit of rail (bridges and track)
StringID | roadtype {}
| Type of road on the tile.
uint16_t | road_speed = 0
| Speed limit of road (bridges and track)
StringID | tramtype {}
| Type of tram on the tile.
uint16_t | tram_speed = 0
| Speed limit of tram (bridges and track)
std::optional< bool > | town_can_upgrade = std::nullopt
| Whether the town can upgrade this house during town growth.

## Detailed Description

Tile description for the 'land area information' tool.

Definition at line 36 of file tile_cmd.h.

## Field Documentation

## ◆ airport_class

StringID TileDesc::airport_class {}

Name of the airport class.

Definition at line 44 of file tile_cmd.h.

## ◆ airport_name

StringID TileDesc::airport_name {}

Name of the airport.

Definition at line 45 of file tile_cmd.h.

## ◆ airport_tile_name

StringID TileDesc::airport_tile_name {}

Name of the airport tile.

Definition at line 46 of file tile_cmd.h.

## ◆ build_date

TimerGameCalendar::Date TileDesc::build_date = CalendarTime::INVALID_DATE

Date of construction of tile contents.

Definition at line 41 of file tile_cmd.h.

## ◆ dparam

uint64_t TileDesc::dparam = 0

Parameter of the str string.

Definition at line 38 of file tile_cmd.h.

## ◆ grf

std::optional<std::string> TileDesc::grf = std::nullopt

newGRF used for the tile contents

Definition at line 47 of file tile_cmd.h.

## ◆ owner

std::array<Owner, 4> TileDesc::owner {}

Name of the owner(s)

Definition at line 39 of file tile_cmd.h.

## ◆ owner_type

std::array<StringID, 4> TileDesc::owner_type {}

Type of each owner.

Definition at line 40 of file tile_cmd.h.

Referenced by LandInfoWindow::OnInit().

## ◆ rail_speed

uint16_t TileDesc::rail_speed = 0

Speed limit of rail (bridges and track)

Definition at line 49 of file tile_cmd.h.

## ◆ railtype

StringID TileDesc::railtype {}

Type of rail on the tile.

Definition at line 48 of file tile_cmd.h.

## ◆ road_speed

uint16_t TileDesc::road_speed = 0

Speed limit of road (bridges and track)

Definition at line 51 of file tile_cmd.h.

## ◆ roadtype

StringID TileDesc::roadtype {}

Type of road on the tile.

Definition at line 50 of file tile_cmd.h.

## ◆ station_class

StringID TileDesc::station_class {}

Class of station.

Definition at line 42 of file tile_cmd.h.

## ◆ station_name

StringID TileDesc::station_name {}

Type of station within the class.

Definition at line 43 of file tile_cmd.h.

## ◆ str

StringID TileDesc::str {}

Description of the tile.

Definition at line 37 of file tile_cmd.h.

## ◆ town_can_upgrade

std::optional<bool> TileDesc::town_can_upgrade = std::nullopt

Whether the town can upgrade this house during town growth.

Definition at line 54 of file tile_cmd.h.

## ◆ tram_speed

uint16_t TileDesc::tram_speed = 0

Speed limit of tram (bridges and track)

Definition at line 53 of file tile_cmd.h.

## ◆ tramtype

StringID TileDesc::tramtype {}

Type of tram on the tile.

Definition at line 52 of file tile_cmd.h.

The documentation for this struct was generated from the following file:

- src/tile_cmd.h